const Sequelize = require("sequelize");
const sequelizeConnect = require("../connection/db");

const SellerFeatureFlags = sequelizeConnect.define(
  "seller_feature_flags",
  {
    id: {
      type: Sequelize.BIGINT,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    name: {
      type: Sequelize.STRING(300),
      allowNull: false,
    },
    status: {
      type: Sequelize.BOOLEAN,
      allowNull: false,
      defaultValue: true,
    },
  },
  {
    tableName: "seller_feature_flags",
    timestamps: false,
  }
);


module.exports = SellerFeatureFlags;
